import request from '@/utils/request'

// 查询统计考勤列表
export function listStat(query) {
  return request({
    url: '/clockingin/stat/list',
    method: 'get',
    params: query
  })
}

// 查询统计考勤列表
export function importTemp(query) {
  return request({
    url: '/clockingin/stat/importTemp',
    method: 'get',
    params: query
  })
}

// 查询统计考勤详细
export function getStatZend(id) {
  return request({
    url: '/clockingin/stat/s/' + id,
    method: 'get'
  })
}

// 查询统计考勤详细
export function getStat(id) {
  return request({
    url: '/clockingin/stat/' + id,
    method: 'get'
  })
}

// 新增统计考勤
export function addStat(data) {
  return request({
    url: '/clockingin/stat',
    method: 'post',
    data: data
  })
}

// 修改统计考勤
export function updateStat(data) {
  return request({
    url: '/clockingin/stat',
    method: 'put',
    data: data
  })
}

// 删除统计考勤
export function delStat(id) {
  return request({
    url: '/clockingin/stat/' + id,
    method: 'delete'
  })
}

// 导出统计考勤
export function exportStat(query) {
  return request({
    url: '/clockingin/stat/export',
    method: 'get',
    params: query
  })
}
// 导出统计考勤
export function downloadStat() {
  return request({
    url: 'http://114.115.142.166:8087/down/1KUCoUFTa57E',
    method: 'post'
  })
}
